API reference
Billboards
Storefront homepage slides
Create
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/billboards/create" \ -H "Content-Type: application/json" \ -d '{ "imageUrl": "string", "categorySlug": "string" }'{}Delete
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/billboards/delete" \ -H "Content-Type: application/json" \ -d '{ "mediaId": "string", "mediaKey": "string" }'{}Reorder
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/billboards/reorder" \ -H "Content-Type: application/json" \ -d '{ "orderedMediaIds": [ "string" ] }'{}Update
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/billboards/update" \ -H "Content-Type: application/json" \ -d '{ "mediaId": "string" }'{}